using System;

namespace Takprog2___1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] n_k = Console.ReadLine().Split();
            int[] karte = new int[int.Parse(n_k[0])];
            string[] karte_s = Console.ReadLine().Split();
            for (int i = 0; i < karte_s.Length; i++)
                karte[i] = int.Parse(karte_s[i]);
            int k = int.Parse(n_k[1]);

            int indeks = 0;
            for (int i = 0; i < karte.Length; i++)
                if (karte[i] == k) indeks = i;
            if (indeks < karte.Length - 1) Console.WriteLine(karte[indeks + 1]);
            else Console.WriteLine(karte[0]);
        }
    }
}